# encoding: utf-8
RechnMgmUserArea::MemberShip.class_eval do
    if Rails.env != "test"
        after_destroy :broadcast_membership_change
        after_create  :broadcast_membership_change
    end

    before_destroy :move_documents_to_origin

    def broadcast_membership_change
        data = {
            type: :membership_change
        }

        # 1. Broadcast to all still existing organsiation members.
        RechnMgmUserArea::MemberShip.where(organisation_id: self.organisation_id).each do |membership|
            ActionCable.server.broadcast "user_channel_#{membership.user_id}", data
        end

        # 2. Send info to deleted member..
        ActionCable.server.broadcast "user_channel_#{self.user_id}", data
    end

    def move_documents_to_origin
        # We are acting in behalf of the user of this membership
        acting_user = DeviseAuthentication::User.find(self.user_id)

        # Find all documents belonging to this membership
        Nukleus::Document.where(user_id: self.user_id, organisation_id: self.organisation_id).each do |doc|
            doc.back_to_origin(acting_user, "Zurück, da die Mitgliedschaft entzogen wurde.")
        end
    end
end
