RechnMgmWeb::Engine.routes.draw do
    scope '/api', :constraints => { :format => 'json' }  do
        scope '/v1' do
            get 'getDocuments'                  => 'api/v1/api_documents#index'
            get 'getDocumentIds'                => 'api/v1/api_documents#index_as_ids'
            get 'getAllDocuments'               => 'api/v1/api_documents#index_all'
            get 'unassignedDocuments'           => 'api/v1/api_documents#index_unassigned'
            get 'assignedDocuments'             => 'api/v1/api_documents#index_assigned'
            get 'validatedDocuments'            => 'api/v1/api_documents#index_validated'
            get 'documentStatusOverview'        => 'api/v1/api_documents#status_overview'
            get 'documentStatusUsers/:user_ids' => 'api/v1/api_documents#status_user'
            get 'buchhalterInbox'               => 'api/v1/api_documents#buchhalter_inbox'

            scope '/document' do
                get ':id'                                       => 'api/v1/api_documents#show'
                put ':id/setValidationState/:state'             => 'api/v1/api_documents#set_validation_state'
                put ':id/assignToUser/:user_id'                 => 'api/v1/api_documents#assign_to_user'
                put ':id/backToOrigin'                          => 'api/v1/api_documents#back_to_origin'
                put ':id/addComment/:comment'                   => 'api/v1/api_documents#add_comment'
                put ':id/export'                                => 'api/v1/api_documents#export'
                get ':id/preview'                               => 'api/v1/api_documents#preview'
                put ':id/setValidationStateAndAssign/:state'    => 'api/v1/api_documents#set_validation_state_and_assign'
                put ':id/setBackToOriginAndSetState/:state'     => 'api/v1/api_documents#set_back_to_origin_and_set_state'
                put ':id/setMetaData'                           => 'api/v1/api_documents#set_meta_data'
            end
            scope 'getToken' do
                get '/'                                 => 'authenticated#get_token'
                get '/:id'                              => 'authenticated#get_token_for_membership'
            end
        end
    end

    get 'documents/' => 'documents#index'
    get 'documents/*other' => 'documents#index'

    mount ActionCable.server => '/cable'
end

RechnMgmUserArea::Engine.routes.draw do
    scope 'users' do
        put 'webpush/subscribe/:id'     => 'users#subscribe_web_push'
        put 'webpush/unsubscribe/:id'   => 'users#unsubscribe_web_push'
    end

    scope '/api', :constraints => { :format => 'json' }  do
        scope '/v1' do
            scope '/user' do
                # get 'profile', action: :show, controller: 'users'
                get 'documentsWaitingForImport'                   => 'users#documents_waiting_for_import'
                put 'setImportingOrganisation/:organisation_id'   => 'users#set_importing_organisation'
            end
        end
    end
end
